* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px #080708 !important;
    border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #FF7F11;
    border-radius: 10px;
    cursor: grab;
}

::-webkit-scrollbar-thumb:active {
    cursor: grabbing;
}

::-webkit-scrollbar-thumb:hover {
    background: #ff8011d8;
}

html,
body {
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    background-color: #080708;
    color: #FFFFFA;
    position: relative;
}

.disable {
    background: #FF7F11 !important;
    border: none !important;
    cursor: no-drop !important;
}

.disable:hover {
    color: white !important;
}

.loadingBox {
    height: 100vh;
    width: 100%;
    background-color: #080708;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow-y: hidden;
    position: relative;
    z-index: 100;
    position: fixed;
}

.loadingBox .logo img {
    width: 50px;
    height: auto;
}

.loadingBox .logo {
    height: auto;
    width: fit-content;
}

/* Nav Bar */
nav {
    height: 70px;
    overflow: hidden;
    background-color: #080708;
    position: fixed;
    width: 100%;
    z-index: 2;
}

.navcont {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    height: 100%;
    padding: 0px 30px;
}

.navcont .center {
    display: flex;
    gap: 30px;
}

nav a {
    all: unset;
    cursor: pointer;
    transition: all 0.2s ease-in-out;

}

.ctaBtn a,
.null {
    background-color: #FF7F11;
    color: #080708;
    font-weight: bold;
    border: solid #FF7F11 1px;
    padding: 8px 30px;
    border-radius: 20px;
    transition: all 0.2s ease-in-out;
}

.null {
    visibility: hidden;
}

.ctaBtn a:hover {
    background-color: transparent;
    color: #FF7F11;
}

.center a:hover {
    color: #FF7F11;
}

section {
    width: 100%;
    min-height: 100vh;
    height: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero {
    font-size: 10vw;
    width: 5ch;
    text-align: justify;
}

.brand {
    color: #FF7F11;
}

.cont {
    display: flex;
    flex-direction: row;
    padding: 5%;
    align-items: center;
    justify-content: space-evenly;
    gap: 1%;
}

.l-cont,
r-cont {
    width: 50%;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.cont h1 {
    font-size: 50px;
}

.cont p {
    text-align: justify;
    max-width: 100ch;
}

.eng h1 {
    text-align: left;
    padding-bottom: 30px;
}

.eng img {
    max-width: 500px;
}

.eng p {
    max-width: 80ch;
}

.drone-demo-section {
    flex-direction: column;
}

.drone-demo {
    width: 90%;
    height: 70vh;
    background-color: #FF7F11;
    border-radius: 20px;
    background-image: url(img/Drone-Demo.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.drone-demo-section iframe {
    width: 100%;
    height: 100%;
    border-radius: 20px;

}

.drone-demo-section p {
    padding-top: 30px;
    max-width: 100ch;
    text-align: justify;
    text-align-last: center;
    padding: 5%;
}

.skills-grid {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 30px;
    align-items: center;
    justify-content: center;
}

.skills .cont {
    justify-content: space-evenly;
    width: 80%;
}

.skill {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.skill a {
    border: solid #FF7F11 2px;
    border-radius: 10px;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s ease-in-out;
}

.skill a:hover {
    width: 120px;
    height: 120px;
}

.skill p {
    padding-top: 10px;
}

.portfolio {
    justify-content: start;
}

.portfolio .cont {
    flex-direction: column;
    align-items: start;
    justify-content: start;
}

.portfolio a {
    all: unset;
    border: solid #FF7F11 1px;
    padding: 8px 30px;
    margin-top: 20px;
    border-radius: 20px;
    transition: all 0.2s ease-in-out;
    cursor: pointer;
    background-color: #FF7F11;
    color: #080708;
    font-weight: bold;
}

.portfolio a:hover {
    background-color: transparent;
    color: #FF7F11;
}

/*-----------------------------------------contactUs---------------------------------------*/
.contactUs {
    position: relative;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
}

.contactUs h1 {
    font-size: 50px;
}

.contactUs form {
    width: 441px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.contactUs form input[type=text],
[type=email] {
    height: 53px;
    width: 100%;
    background: none;
    border: 1px solid #fff;
    border-radius: 29px;
    font-size: 18px;
    color: #fff;
    padding-left: 35px;
    padding-right: 35px;
}

.contactUs form input[type=text]::placeholder,
.contactUs form input[type=email]::placeholder {
    color: #fff;
}

.contactUs form input[type=text]:focus,
.contactUs form input[type=email]:focus,
.contactUs form textarea:focus,
button:focus {
    outline: none;
    border: 1px solid #FF7F11;
}

.contactUs form textarea {
    height: 40vh;
    background: none;
    border: 1px solid #fff;
    border-radius: 29px;
    font-size: 18px;
    color: #fff;
    padding-left: 35px;
    padding-right: 35px;
    padding-top: 25px;
    width: 100%;
    resize: none;
    cursor: pointer;
}

.contactUs form textarea::placeholder {
    color: #fff;
}

.contactUs form input {
    -webkit-box-shadow: 0 0 0 30px #080708 inset;
    -webkit-text-fill-color: #fff;
    cursor: pointer;
}

.contactUs form button {
    height: 53px;
    background: none;
    border: 1px solid #fff;
    border-radius: 29px;
    font-size: 18px;
    color: #fff;
    width: 227px;
    font-weight: bold;
}

.contactUs form button:hover {
    cursor: pointer;
    background-color: #FF7F11;
    border: #FF7F11;
    color: #080708;
}

.contactUs form button:active {
    background: #FF7F11;
    border: none;
    color: #fff;
}


@media screen and (max-width: 768px) {

    .null {
        display: none;
    }

    .ctaBtn {
        display: none;
    }

    .navcont {
        justify-content: center;
    }

    .cont {
        flex-direction: column;
    }

    .l-cont,
    r-cont {
        text-align: center;
        width: 100%;
        text-align-last: center;
    }

    .cont h1 {
        padding-bottom: 30px;
        text-align: center;
    }

    .eng img {
        width: 80%;
    }

    .contactUs form {
        max-width: 100%;
        margin: 0 auto !important;
        box-sizing: border-box !important;
    }

    div#contact {
        margin-top: 0;
    }

    .contactUs form {
        width: 90%;
        height: fit-content;
    }

    .contactUs form input[type=text],
    [type=email] {
        height: 45px;
        border-radius: 20px;
        font-size: 13px;
        padding-left: 35px;
        padding-right: 35px;
    }

    .contactUs form textarea {
        height: 30vh;
        font-size: 13px;
        border-radius: 20px;

    }

    .contactUs form button {
        height: 45px;
        font-size: 13px;
        color: #fff;
        width: 227px;
        margin-bottom: 30px;
    }
}

@media screen and (max-width: 375px) {
    nav {
        display: none;
    }

    .contactUs h1 {
        text-align: center;
    }

    .skills-grid {
        grid-template-columns: auto auto;
    }

    .portfolio .cont {
        align-items: center;
        justify-content: center;
    }
}